com.sun.research.ws.wadl

## Class Doc

- java.lang.Object
- - com.sun.research.ws.wadl.Doc

    public class Doc
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="title" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected List<Object>` `content`
`protected String` `lang`
`protected String` `title`

### Constructor Summary

Constructors
Constructor and Description
`Doc()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getContent()` Gets the value of the content property.
`String` `getLang()` Gets the value of the lang property.
`Map<QName,String>` `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`String` `getTitle()` Gets the value of the title property.
`void` `setLang(String value)` Sets the value of the lang property.
`void` `setTitle(String value)` Sets the value of the title property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### content

    protected List<Object> content

#### title

    protected String title

#### lang

    protected String lang

### Constructor Detail

#### Doc

    public Doc()

### Method Detail

#### getContent

    public List<Object> getContent()

Gets the value of the content property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

For example, to add a new item, do as follows:

        getContent().add(newItem);

Objects of the following type(s) are allowed in the list `String` `Object` `Element`

#### getTitle

    public String getTitle()

Gets the value of the title property.

Returns:
  possible object is `String`

#### setTitle

    public void setTitle(String value)

Sets the value of the title property.

Parameters:
  `value` - allowed object is `String`

#### getLang

    public String getLang()

Gets the value of the lang property.

Returns:
  possible object is `String`

#### setLang

    public void setLang(String value)

Sets the value of the lang property.

Parameters:
  `value` - allowed object is `String`

#### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

Gets a map that contains attributes that aren't bound to any typed property on this class.

the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

Returns:
  always non-null